%global npm_org antora
%global org_subpkg site-generator-default
%global fc_name %{npm_org}-%{org_subpkg}

%{?nodejs_find_provides_and_requires}

%global enable_tests 0

# don't require bundled modules
%global __requires_exclude_from ^%{_prefix}/lib/node_modules/@%{npm_org}/%{org_subpkg}/.*$

Name:           nodejs-%{fc_name}
Version:        2.0.0
Release:        1%{?dist}
Summary:        The default site generator pipeline for producing and publishing static documentation sites with Antora.
License:        MPLv2.0
URL:            https://gitlab.com/antora/antora
Source0:        https://registry.npmjs.org/@%{npm_org}/%{org_subpkg}/-/%{fc_name}-%{version}.tgz
Source1:        %{fc_name}-tarball.sh

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm
Requires:       nodejs
Requires:       nodejs-antora-cli

%description
The default site generator pipeline for producing and publishing static documentation sites with Antora.


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/@%{npm_org}
mkdir -p %{buildroot}%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}

cp -pr package.json lib node_modules \
        %{buildroot}%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}

#%{nodejs_symlink_deps}


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
if [[ $(%{buildroot}/%{_bindir}/antora --version) == %{version} ]] ; then echo PASS; else echo FAIL; fi
%endif


%files
%{nodejs_sitelib}/@%{npm_org}/%{org_subpkg}
#%{_bindir}/antora
%doc README.md


%changelog
* Tue Feb 05 2019 Zuzana Svetlikova <zsvetlik@redhat.com> - 2.0.0-1
- Initial packaging
